#!/usr/bin/python
# -*- coding: utf-8 -*-

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Author: Tomas "Tojaj" Mlcoch (xtojaj gmail dot com)
# Web: http://tojaj.com
#
# Copyright 2010 Tomas Mlcoch


"""Simple progress indicator object.
"""

import sys

class ProgressLine(object):
    """Line with simple progress indicator.
    Constructor has 2 parameters:
    1. maxval - Max counter value (obligatory).
    2. title - Counter title (optional).
    """

    def __init__(self, maxval, title=''):
        self.title = title
        self.maximum = maxval
        self.actual = 1

    def next(self):
        """Go to next value."""
        if self.actual > self.maximum:
            return
        print '\r{0}{1}/{2}'.format(self.title, self.actual, self.maximum),
        sys.stdout.flush()
        self.actual += 1
        if self.actual > self.maximum:
            print

    def interrupt(self):
        """Interupt progress indication."""
        self.actual = self.maximum
        print
