#!/usr/bin/python
# -*- coding: utf-8 -*-

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Author: Tomas "Tojaj" Mlcoch (xtojaj gmail dot com)
# Web: http://tojaj.com
#
# Copyright 2010 Tomas Mlcoch


"""Film rating module.

Module uses it's own plugin system.
Call rate_all() function for run all registered plugins.

Note:
Plugin must be in same folder as this __init__.py.
Plugin must calls register_plugin() function from rating.rateall 
to register it's function(s).
"""

import os
import re
import imp
from rateall import rate_all

PLUGIN_RE = re.compile(r'^([_a-zA-Z-]+rating).py$')
PLUGIN_PATH = [(__path__[0]+"/")]

for plugin in os.listdir(__path__[0]):
    m = PLUGIN_RE.match(plugin)
    if m:
        mfile, pathname, desc = imp.find_module(m.group(1), PLUGIN_PATH)        
        imp.load_module(m.group(1), mfile, pathname, desc)
        mfile and mfile.close()
