#!/usr/bin/python
# -*- coding: utf-8 -*-

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Author: Tomas "Tojaj" Mlcoch (xtojaj gmail dot com)
# Web: http://tojaj.com
#
# Copyright 2010 Tomas Mlcoch


"""Plugin for get film rating from IMDb (http://imdb.com)
"""

import rpcclient
from rating.rateall import register_plugin

def rate_imdb(movies):
    """ Gets film rating from IMDb """
    rpcobj = rpcclient.OsRpcClient()
    for movie in movies:
        if not 'MovieImdbID' in movie or 'IMDBRating' in movie:
            continue
        result = rpcobj.movie_rating_by_imdbid(movie['MovieImdbID'])
        if result:
            movie['IMDBRating'] = str(int(float(result) * 10))

register_plugin(rate_imdb)