#!/usr/bin/python
# -*- coding: utf-8 -*-

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Author: Tomas "Tojaj" Mlcoch (xtojaj gmail dot com)
# Web: http://tojaj.com
#
# Copyright 2010 Tomas Mlcoch


"""Plugin manager
inspired by John Levon.
"""

import sys
import progress

PLUGINS = []

def register_plugin(plugin):
    """Register rating function into plugin manager."""
    global PLUGINS
    PLUGINS.append(plugin)

def rate_all(movies, verbose=False):
    """Run all registered function on given list of films."""
    indicator = progress.ProgressLine(len(PLUGINS), 'Rating plugins: ')
    for plugin in PLUGINS:
        verbose and indicator.next()
        plugin(movies)
    